import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:crypt2dart/crypt2dart.dart';

void main() {
  const MethodChannel channel = MethodChannel('crypt2dart');

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    var ss ='{"formDeploymentId":"2b70abf6-d931-11e9-8a03-005056924137","id":"","processDeploymentId":"2c7b8603-d9ed-11e9-aec8-005056924137","templateId":21,"templateName":"加班申请-厦门微微","formValueJson":"{\"overTimeTypeName\":\"工作日\",\"overTimeType\":\"1\",\"startTime\":\"2019-11-21 19:46:00\",\"endTime\":\"2019-11-21 23:46:00\",\"duration\":240,\"reason\":\"大撒大撒\",\"attachment\":\"\"}","resourceRelation":[]}';
    var pp =  await Crypt2dart.encrypt(ss, 'VVuucs_sec201906', 'VVuucs_sec201906', 'VVuucskey201906');

    expect(await Crypt2dart.encrypt(ss, 'VVuucs_sec201906', 'VVuucs_sec201906', 'VVuucskey201906'), '42');
  });
}
